searchData={"items":[{"type":"module","title":"Astarte.Core.CQLUtils","doc":"This module contains a set of functions that should be used to map Astarte types and concepts to C*","ref":"Astarte.Core.CQLUtils.html"},{"type":"function","title":"Astarte.Core.CQLUtils.endpoint_id/3","doc":"returns an endpoint UUID for a certain `endpoint` on a certain `interface_name` with a certain `interface_major`.","ref":"Astarte.Core.CQLUtils.html#endpoint_id/3"},{"type":"function","title":"Astarte.Core.CQLUtils.endpoint_to_db_column_name/1","doc":"Returns the column name for a certain endpoint that will be used for object interface tables.","ref":"Astarte.Core.CQLUtils.html#endpoint_to_db_column_name/1"},{"type":"function","title":"Astarte.Core.CQLUtils.interface_descriptor_statement/0","doc":"Returns the CQL query statement that should be used to retrieve interface descriptor from the database.","ref":"Astarte.Core.CQLUtils.html#interface_descriptor_statement/0"},{"type":"function","title":"Astarte.Core.CQLUtils.interface_id/2","doc":"Returns interface UUID for a certain `interface_name` with a certain `interface_major`","ref":"Astarte.Core.CQLUtils.html#interface_id/2"},{"type":"function","title":"Astarte.Core.CQLUtils.interface_name_to_table_name/2","doc":"Returns a generated table name that might be used during table creation.\"","ref":"Astarte.Core.CQLUtils.html#interface_name_to_table_name/2"},{"type":"function","title":"Astarte.Core.CQLUtils.is_valid_cql_name?/1","doc":"Returns true if a given CQL name can be safely used for a table or a column name","ref":"Astarte.Core.CQLUtils.html#is_valid_cql_name?/1"},{"type":"function","title":"Astarte.Core.CQLUtils.mapping_value_type_to_db_type/1","doc":"Returns a CQL type for a given mapping value type atom","ref":"Astarte.Core.CQLUtils.html#mapping_value_type_to_db_type/1"},{"type":"function","title":"Astarte.Core.CQLUtils.realm_name_to_keyspace_name/2","doc":"","ref":"Astarte.Core.CQLUtils.html#realm_name_to_keyspace_name/2"},{"type":"function","title":"Astarte.Core.CQLUtils.type_to_db_column_name/1","doc":"Returns table column name that stores a certain type.","ref":"Astarte.Core.CQLUtils.html#type_to_db_column_name/1"},{"type":"module","title":"Astarte.Core.Device","doc":"Utility functions to deal with Astarte devices","ref":"Astarte.Core.Device.html"},{"type":"function","title":"Astarte.Core.Device.decode_device_id/2","doc":"Decodes a Base64 url encoded device id and returns it as a 128-bit binary (usable as uuid).\n\nBy default, it will fail with `{:error, :extended_id_not_allowed}` if the size of the encoded device_id is > 128 bit.\nYou can pass `allow_extended_id: true` as second argument to allow longer device ids (the returned binary will still be 128 bit long, but the function will not return an error and will instead drop the extended id).\n\nReturns `{:ok, device_id}` or `{:error, reason}`.","ref":"Astarte.Core.Device.html#decode_device_id/2"},{"type":"function","title":"Astarte.Core.Device.decode_extended_device_id/1","doc":"Decodes an extended Base64 url encoded device id.\n\nReturns `{:ok, device_id, extended_id}` (where `device_id` is a binary with the first 128 bits of the decoded id and `extended_id` the rest of the decoded binary) or `{:error, reason}`.","ref":"Astarte.Core.Device.html#decode_extended_device_id/1"},{"type":"function","title":"Astarte.Core.Device.encode_device_id/1","doc":"Encodes a device id with the standard encoding (Base64 url encoding, no padding). The device id must be exactly 16 bytes (128 bits) long.\n\nReturns the encoded device id.","ref":"Astarte.Core.Device.html#encode_device_id/1"},{"type":"function","title":"Astarte.Core.Device.random_device_id/0","doc":"Generate a random Astarte device id.\n\nThe generated device id is also a valid UUID v4.","ref":"Astarte.Core.Device.html#random_device_id/0"},{"type":"type","title":"Astarte.Core.Device.device_id/0","doc":"","ref":"Astarte.Core.Device.html#t:device_id/0"},{"type":"type","title":"Astarte.Core.Device.encoded_device_id/0","doc":"","ref":"Astarte.Core.Device.html#t:encoded_device_id/0"},{"type":"module","title":"Astarte.Core.Group","doc":"Functions that deal with Astarte groups","ref":"Astarte.Core.Group.html"},{"type":"function","title":"Astarte.Core.Group.valid_name?/1","doc":"Returns true if `group_name` is a valid group name, false otherwise.\n\nValid group names _do not_ start with reserved characters `@` and `~`.","ref":"Astarte.Core.Group.html#valid_name?/1"},{"type":"module","title":"Astarte.Core.Interface","doc":"","ref":"Astarte.Core.Interface.html"},{"type":"function","title":"Astarte.Core.Interface.changeset/2","doc":"","ref":"Astarte.Core.Interface.html#changeset/2"},{"type":"function","title":"Astarte.Core.Interface.interface_name_regex/0","doc":"","ref":"Astarte.Core.Interface.html#interface_name_regex/0"},{"type":"module","title":"Astarte.Core.Interface.Aggregation","doc":"","ref":"Astarte.Core.Interface.Aggregation.html"},{"type":"function","title":"Astarte.Core.Interface.Aggregation.embed_as/1","doc":"","ref":"Astarte.Core.Interface.Aggregation.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Interface.Aggregation.equal?/2","doc":"","ref":"Astarte.Core.Interface.Aggregation.html#equal?/2"},{"type":"function","title":"Astarte.Core.Interface.Aggregation.from_int/1","doc":"","ref":"Astarte.Core.Interface.Aggregation.html#from_int/1"},{"type":"function","title":"Astarte.Core.Interface.Aggregation.to_int/1","doc":"","ref":"Astarte.Core.Interface.Aggregation.html#to_int/1"},{"type":"module","title":"Astarte.Core.Interface.Ownership","doc":"","ref":"Astarte.Core.Interface.Ownership.html"},{"type":"function","title":"Astarte.Core.Interface.Ownership.embed_as/1","doc":"","ref":"Astarte.Core.Interface.Ownership.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Interface.Ownership.equal?/2","doc":"","ref":"Astarte.Core.Interface.Ownership.html#equal?/2"},{"type":"function","title":"Astarte.Core.Interface.Ownership.from_int/1","doc":"","ref":"Astarte.Core.Interface.Ownership.html#from_int/1"},{"type":"function","title":"Astarte.Core.Interface.Ownership.to_int/1","doc":"","ref":"Astarte.Core.Interface.Ownership.html#to_int/1"},{"type":"module","title":"Astarte.Core.Interface.Type","doc":"","ref":"Astarte.Core.Interface.Type.html"},{"type":"function","title":"Astarte.Core.Interface.Type.embed_as/1","doc":"","ref":"Astarte.Core.Interface.Type.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Interface.Type.equal?/2","doc":"","ref":"Astarte.Core.Interface.Type.html#equal?/2"},{"type":"function","title":"Astarte.Core.Interface.Type.from_int/1","doc":"","ref":"Astarte.Core.Interface.Type.html#from_int/1"},{"type":"function","title":"Astarte.Core.Interface.Type.to_int/1","doc":"","ref":"Astarte.Core.Interface.Type.html#to_int/1"},{"type":"module","title":"Astarte.Core.InterfaceDescriptor","doc":"","ref":"Astarte.Core.InterfaceDescriptor.html"},{"type":"function","title":"Astarte.Core.InterfaceDescriptor.from_db_result/1","doc":"Deserializes an `%InterfaceDescriptor{}` from `db_result`.\n`db_result` can be a keyword list or a map.\n\nReturns the `{:ok, %InterfaceDescriptor{}}` on success,\n`{:error, :invalid_interface_descriptor_data}` on failure.","ref":"Astarte.Core.InterfaceDescriptor.html#from_db_result/1"},{"type":"function","title":"Astarte.Core.InterfaceDescriptor.from_db_result!/1","doc":"Deserializes an `%InterfaceDescriptor{}` from `db_result`.\n`db_result` can be a keyword list or a map.\n\nReturns the `%InterfaceDescriptor{}` on success,\nraises on failure","ref":"Astarte.Core.InterfaceDescriptor.html#from_db_result!/1"},{"type":"function","title":"Astarte.Core.InterfaceDescriptor.from_interface/1","doc":"Builds an `%InterfaceDescriptor{}` starting from an `%Interface{}`\n\nReturns the `%InterfaceDescriptor{}`","ref":"Astarte.Core.InterfaceDescriptor.html#from_interface/1"},{"type":"module","title":"Astarte.Core.Mapping","doc":"This module handles Interface Mappings using Ecto Changesets","ref":"Astarte.Core.Mapping.html"},{"type":"function","title":"Astarte.Core.Mapping.changeset/3","doc":"","ref":"Astarte.Core.Mapping.html#changeset/3"},{"type":"function","title":"Astarte.Core.Mapping.from_db_result!/1","doc":"Deserializes a `%Mapping{}` from `db_result`.\n`db_result` can be a keyword list or a map.\n\nReturns the `%Mapping{}` on success,\nraises on failure","ref":"Astarte.Core.Mapping.html#from_db_result!/1"},{"type":"function","title":"Astarte.Core.Mapping.is_placeholder?/1","doc":"Check if token is a placeholder.","ref":"Astarte.Core.Mapping.html#is_placeholder?/1"},{"type":"function","title":"Astarte.Core.Mapping.mapping_regex/0","doc":"","ref":"Astarte.Core.Mapping.html#mapping_regex/0"},{"type":"function","title":"Astarte.Core.Mapping.normalize_endpoint/1","doc":"Removes all placeholders from an endpoint.","ref":"Astarte.Core.Mapping.html#normalize_endpoint/1"},{"type":"module","title":"Astarte.Core.Mapping.DatabaseRetentionPolicy","doc":"","ref":"Astarte.Core.Mapping.DatabaseRetentionPolicy.html"},{"type":"function","title":"Astarte.Core.Mapping.DatabaseRetentionPolicy.embed_as/1","doc":"","ref":"Astarte.Core.Mapping.DatabaseRetentionPolicy.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Mapping.DatabaseRetentionPolicy.equal?/2","doc":"","ref":"Astarte.Core.Mapping.DatabaseRetentionPolicy.html#equal?/2"},{"type":"function","title":"Astarte.Core.Mapping.DatabaseRetentionPolicy.from_int/1","doc":"","ref":"Astarte.Core.Mapping.DatabaseRetentionPolicy.html#from_int/1"},{"type":"function","title":"Astarte.Core.Mapping.DatabaseRetentionPolicy.to_int/1","doc":"","ref":"Astarte.Core.Mapping.DatabaseRetentionPolicy.html#to_int/1"},{"type":"module","title":"Astarte.Core.Mapping.EndpointsAutomaton","doc":"","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html"},{"type":"function","title":"Astarte.Core.Mapping.EndpointsAutomaton.build/1","doc":"builds the automaton for given `mappings`, returns `:ok` followed by the automaton tuple if build succeeded, otherwise `:error` and the reason.","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html#build/1"},{"type":"function","title":"Astarte.Core.Mapping.EndpointsAutomaton.is_valid?/2","doc":"returns true if `nfa` is valid for given `mappings`","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html#is_valid?/2"},{"type":"function","title":"Astarte.Core.Mapping.EndpointsAutomaton.lint/1","doc":"returns a list of likely invalid endpoints for a certain list of `mappings`.","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html#lint/1"},{"type":"function","title":"Astarte.Core.Mapping.EndpointsAutomaton.parse_endpoint/2","doc":"","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html#parse_endpoint/2"},{"type":"function","title":"Astarte.Core.Mapping.EndpointsAutomaton.resolve_path/2","doc":"returns `:ok` and an endpoint for a given `path` using a previously built automata (`{transitions, accepting_states}`).\nif path is not complete one or more endpoints will be guessed and `:guessed` followed by a list of endpoints is returned.","ref":"Astarte.Core.Mapping.EndpointsAutomaton.html#resolve_path/2"},{"type":"module","title":"Astarte.Core.Mapping.Reliability","doc":"","ref":"Astarte.Core.Mapping.Reliability.html"},{"type":"function","title":"Astarte.Core.Mapping.Reliability.embed_as/1","doc":"","ref":"Astarte.Core.Mapping.Reliability.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Mapping.Reliability.equal?/2","doc":"","ref":"Astarte.Core.Mapping.Reliability.html#equal?/2"},{"type":"function","title":"Astarte.Core.Mapping.Reliability.from_int/1","doc":"","ref":"Astarte.Core.Mapping.Reliability.html#from_int/1"},{"type":"function","title":"Astarte.Core.Mapping.Reliability.to_int/1","doc":"","ref":"Astarte.Core.Mapping.Reliability.html#to_int/1"},{"type":"module","title":"Astarte.Core.Mapping.Retention","doc":"","ref":"Astarte.Core.Mapping.Retention.html"},{"type":"function","title":"Astarte.Core.Mapping.Retention.embed_as/1","doc":"","ref":"Astarte.Core.Mapping.Retention.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Mapping.Retention.equal?/2","doc":"","ref":"Astarte.Core.Mapping.Retention.html#equal?/2"},{"type":"function","title":"Astarte.Core.Mapping.Retention.from_int/1","doc":"","ref":"Astarte.Core.Mapping.Retention.html#from_int/1"},{"type":"function","title":"Astarte.Core.Mapping.Retention.to_int/1","doc":"","ref":"Astarte.Core.Mapping.Retention.html#to_int/1"},{"type":"module","title":"Astarte.Core.Mapping.ValueType","doc":"","ref":"Astarte.Core.Mapping.ValueType.html"},{"type":"function","title":"Astarte.Core.Mapping.ValueType.embed_as/1","doc":"","ref":"Astarte.Core.Mapping.ValueType.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Mapping.ValueType.equal?/2","doc":"","ref":"Astarte.Core.Mapping.ValueType.html#equal?/2"},{"type":"function","title":"Astarte.Core.Mapping.ValueType.from_int/1","doc":"","ref":"Astarte.Core.Mapping.ValueType.html#from_int/1"},{"type":"function","title":"Astarte.Core.Mapping.ValueType.to_int/1","doc":"","ref":"Astarte.Core.Mapping.ValueType.html#to_int/1"},{"type":"function","title":"Astarte.Core.Mapping.ValueType.validate_value/2","doc":"","ref":"Astarte.Core.Mapping.ValueType.html#validate_value/2"},{"type":"module","title":"Astarte.Core.Realm","doc":"Functions that deal with Astarte realms","ref":"Astarte.Core.Realm.html"},{"type":"function","title":"Astarte.Core.Realm.valid_name?/1","doc":"Returns true if `realm_name` is a valid realm name, false otherwise.\n\nValid realm names match this regular expression: `~r/^[a-z][a-z0-9]{0,47}$/`.\nIn addition, the `astarte` and `system` names and the `system_` prefix are reserved.","ref":"Astarte.Core.Realm.html#valid_name?/1"},{"type":"module","title":"Astarte.Core.StorageType","doc":"","ref":"Astarte.Core.StorageType.html"},{"type":"function","title":"Astarte.Core.StorageType.embed_as/1","doc":"","ref":"Astarte.Core.StorageType.html#embed_as/1"},{"type":"function","title":"Astarte.Core.StorageType.equal?/2","doc":"","ref":"Astarte.Core.StorageType.html#equal?/2"},{"type":"function","title":"Astarte.Core.StorageType.from_int/1","doc":"returns storage_type atom from a valid storage type int value.","ref":"Astarte.Core.StorageType.html#from_int/1"},{"type":"function","title":"Astarte.Core.StorageType.to_int/1","doc":"returns storage_type associated int value.","ref":"Astarte.Core.StorageType.html#to_int/1"},{"type":"module","title":"Astarte.Core.Triggers.DataTrigger","doc":"","ref":"Astarte.Core.Triggers.DataTrigger.html"},{"type":"function","title":"Astarte.Core.Triggers.DataTrigger.are_congruent?/2","doc":"","ref":"Astarte.Core.Triggers.DataTrigger.html#are_congruent?/2"},{"type":"module","title":"Astarte.Core.Triggers.Policy","doc":"","ref":"Astarte.Core.Triggers.Policy.html"},{"type":"function","title":"Astarte.Core.Triggers.Policy.changeset/2","doc":"","ref":"Astarte.Core.Triggers.Policy.html#changeset/2"},{"type":"function","title":"Astarte.Core.Triggers.Policy.from_policy_proto/1","doc":"Creates a `Policy` from a `PolicyProto`.\nReturns `{:ok, %Policy{}}` on success, `{:error, :invalid_policy_data}` on failure","ref":"Astarte.Core.Triggers.Policy.html#from_policy_proto/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.from_policy_proto!/1","doc":"Creates a `Policy` from a `PolicyProto`.\n\nReturns the `%Policy{}` on success,\nraises on failure","ref":"Astarte.Core.Triggers.Policy.html#from_policy_proto!/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.to_policy_proto/1","doc":"Creates a `PolicyProto` from a `Policy`.\n\nIt is assumed that the `Policy` is valid and constructed using `Policy.changeset`\n\nReturns a `%PolicyProto{}`","ref":"Astarte.Core.Triggers.Policy.html#to_policy_proto/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.valid_name?/1","doc":"","ref":"Astarte.Core.Triggers.Policy.html#valid_name?/1"},{"type":"module","title":"Astarte.Core.Triggers.Policy.ErrorKeyword","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorKeyword.html"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorKeyword.validate/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorKeyword.html#validate/1"},{"type":"module","title":"Astarte.Core.Triggers.Policy.ErrorRange","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorRange.html"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorRange.validate/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorRange.html#validate/1"},{"type":"module","title":"Astarte.Core.Triggers.Policy.ErrorType","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.cast/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#cast/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.dump/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#dump/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.embed_as/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#embed_as/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.equal?/2","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#equal?/2"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.load/1","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#load/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.ErrorType.type/0","doc":"","ref":"Astarte.Core.Triggers.Policy.ErrorType.html#type/0"},{"type":"module","title":"Astarte.Core.Triggers.Policy.Handler","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.changeset/2","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#changeset/2"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.discards?/1","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#discards?/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.error_set/1","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#error_set/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.from_handler_proto/1","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#from_handler_proto/1"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.includes?/2","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#includes?/2"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.includes_any?/2","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#includes_any?/2"},{"type":"function","title":"Astarte.Core.Triggers.Policy.Handler.to_handler_proto/1","doc":"","ref":"Astarte.Core.Triggers.Policy.Handler.html#to_handler_proto/1"},{"type":"module","title":"Astarte.Core.Triggers.PolicyProtobuf","doc":"","ref":"Astarte.Core.Triggers.PolicyProtobuf.html"},{"type":"type","title":"Astarte.Core.Triggers.PolicyProtobuf.t/0","doc":"","ref":"Astarte.Core.Triggers.PolicyProtobuf.html#t:t/0"},{"type":"module","title":"Astarte.Core.Triggers.SimpleEvents.Encoder","doc":"","ref":"Astarte.Core.Triggers.SimpleEvents.Encoder.html"},{"type":"function","title":"Astarte.Core.Triggers.SimpleEvents.Encoder.extract_bson_value/1","doc":"","ref":"Astarte.Core.Triggers.SimpleEvents.Encoder.html#extract_bson_value/1"},{"type":"module","title":"Astarte.Core.Triggers.SimpleTriggerConfig","doc":"This module handles the functions for creating a `SimpleTriggerConfig` and converting it to and from a `TaggedSimpleTrigger`.","ref":"Astarte.Core.Triggers.SimpleTriggerConfig.html"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggerConfig.from_tagged_simple_trigger/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggerConfig.html#from_tagged_simple_trigger/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggerConfig.to_tagged_simple_trigger/1","doc":"Creates a `TaggedSimpleTrigger` from a `SimpleTriggerConfig`.\n\nIt is assumed that the `SimpleTriggerConfig` is valid and constructed using `SimpleTriggerConfig.changeset`\n\nReturns a `%TaggedSimpleTrigger{}`","ref":"Astarte.Core.Triggers.SimpleTriggerConfig.html#to_tagged_simple_trigger/1"},{"type":"module","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.any_device_object_id/0","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#any_device_object_id/0"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.any_interface_object_id/0","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#any_interface_object_id/0"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.deserialize_simple_trigger/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#deserialize_simple_trigger/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.deserialize_trigger_target/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#deserialize_trigger_target/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_device_and_any_interface_object_id/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_device_and_any_interface_object_id/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_device_and_interface_object_id/2","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_device_and_interface_object_id/2"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_group_and_any_interface_object_id/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_group_and_any_interface_object_id/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_group_and_interface_object_id/2","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_group_and_interface_object_id/2"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_group_object_id/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_group_object_id/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.get_interface_id_or_any/2","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#get_interface_id_or_any/2"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.object_type_to_int!/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#object_type_to_int!/1"},{"type":"function","title":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.simple_trigger_to_data_trigger/1","doc":"","ref":"Astarte.Core.Triggers.SimpleTriggersProtobuf.Utils.html#simple_trigger_to_data_trigger/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}